%global pkgvers 7
%global scdate0 20220917
%global schash0 d9159d9600028353f4a9edb787cf08899e7bae29
%global branch0 maint-3.10
%global source0 https://github.com/dl1ksv/gr-funcube.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gr-funcube
Version:        3.10.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+
License:        GPLv3+

URL:            https://github.com/dl1ksv/gr-funcube

Source1:        10-funcube.rules

BuildRequires:  cmake gcc-c++ git gnuradio-devel hidapi-devel doxygen
BuildRequires:  graphviz pybind11-devel libunwind-devel alsa-lib-devel
BuildRequires:  libusbx-devel python3-devel spdlog-devel jack-audio-connection-kit-devel
BuildRequires:  portaudio-devel gmp-devel libsndfile-devel
BuildRequires:  systemd-rpm-macros

Obsoletes:      gr-fcdproplus < 3.8.0-5.20200807git06069c2e

%description
GNURadio support for FUNcube Dongle Pro and FUNcube Dongle Pro+.

%package        devel
Summary:        Development files for gr-funcube
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for gr-funcube.

%package        doc
Summary:        Documentation files for gr-funcube
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation files for gr-funcube.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name}
%cmake_build


%install
%cmake_install
# udev rule
install -Dpm 0644 %{S:1} %{buildroot}%{_udevrulesdir}/10-funcube.rules


%ldconfig_scriptlets


%pre
getent group rtlsdr >/dev/null || \
  %{_sbindir}/groupadd -r rtlsdr >/dev/null 2>&1
exit 0


%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%license COPYING
%doc README.md
%{_libdir}/*.so.*
%{python3_sitearch}/funcube
%{_datadir}/gnuradio/grc/blocks/*
%{_udevrulesdir}/10-funcube.rules

%files devel
%{_includedir}/funcube
%{_libdir}/*.so
%{_libdir}/cmake/funcube

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Mon Mar 18 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
